com.amazon.redshift.jdbc

## Class ResultWrapper

- java.lang.Object
- - com.amazon.redshift.jdbc.ResultWrapper

    public class ResultWrapper
    extends Object

Helper class that storing result info. This handles both the ResultSet and no-ResultSet result cases with a single interface for inspecting and stepping through them.

Author:
  Oliver Jowett (oliver@opencloud.com)

### Constructor Summary

Constructors
Constructor and Description
`ResultWrapper(long updateCount, long insertOID)`
`ResultWrapper(ResultSet rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append(ResultWrapper newResult)`
`long` `getInsertOID()`
`ResultWrapper` `getNext()`
`ResultSet` `getResultSet()`
`long` `getUpdateCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultWrapper

    public ResultWrapper(ResultSet rs)

#### ResultWrapper

    public ResultWrapper(long updateCount,
                         long insertOID)

### Method Detail

#### getResultSet

    public ResultSet getResultSet()

#### getUpdateCount

    public long getUpdateCount()

#### getInsertOID

    public long getInsertOID()

#### getNext

    public ResultWrapper getNext()

#### append

    public void append(ResultWrapper newResult)